//来电弹屏
laydate.skin('molv');

laydate({
	elem: '#old_startTime',
	event: 'focus'
});

laydate({
	elem: '#old_endTime',
	event: 'focus'
});
laydate({
	elem: '#con_startTime',
	event: 'focus'
});

laydate({
	elem: '#con_endTime',
	event: 'focus'
});

//权限展示
$.getJSON(huayi.config.callcenter_url + 'CallInScreen/GetCurrUserDep', {
	"token": $.cookie("token")
}, function(result) {
	if(result.state.toLowerCase() == "success") {
		console.log(result);
		if(result.data.groname == "客服组") {
			$(".KF").show();
		} else {
			$(".SC").show();
			$("#SCorderlist").show();
		}
	}
})
//弹屏右侧切换效果
$(".ldtp-cr ul.ld-service li").click(function() {
	$(this).addClass("cr-click").siblings().removeClass("cr-click");
	loadOld();
});
$('.pre-add').click(function() {
	var par = $(this).parent().parent();
	par.hide().siblings().show();
})

//来电时传输的数据
var Number = helper.request.queryString("Number");
var CallID = helper.request.queryString("CallID");


var KHid;
$(".hidTel").val(Number);
$(".tel").text(Number);
$("#zxdh_").val(Number);
$("#tsdh").val(Number);
$(".ldtime").text(top.getNowFormatDate());
$(".thsc").text("00:00");
$(".hidCallID").val(CallID);
$(".ldtel").text(Number);
$("#tsdh").val(Number);
$(".ldtel1").val(Number); //左侧联系电话
$("#Tel").val(Number); //右侧客服部  新增工单电话
$("#marketTel").val(Number);//右侧市场部  新增工单电话
//获取信息
var UserCode;
$.getJSON(huayi.config.callcenter_url + 'UserAccount/GetNowUser', {
	"token": $.cookie("token")
}, function(result) {
	if(result.state.toLowerCase() == "success") {
		if(result.data.role) {
			//				console.log(result.data);
			UserCode = result.data.user.F_UserCode;
		}

	}
})

//获取电话所属地
$.getJSON(huayi.config.callcenter_url + 'CallInScreen/GetPhoneLocation', {
	"tel": Number,
	"token": $.cookie("token")
}, function(result) {
	if(result.state.toLowerCase() == "success") {
		$(".khgsd").text(result.data);
		//			$(".ldlocation").text(result.data);
	}
})
var citys= ["北京市", "天津市", "河北省", "山西省", "内蒙古", "辽宁省", "吉林省", "黑龙江省", "上海市", "江苏省", "浙江省", "安徽省", "福建省", "江西省", "山东省", "河南省", "湖北省", "湖南省", "广东省", "广西自治区", "海南省", "重庆市", "四川省", "贵州省", "云南省", "西藏自治区", "陕西省", "甘肃省", "青海省", "宁夏回族自治区", "新疆维吾尔自治区", "香港特别行政区", "澳门特别行政区", "台湾省", "钓鱼岛", "其他附属岛屿"];
	$("<option value='' >请选择省份</option>").appendTo('#testInput1');
	$(citys).each(function(i, n) {
		$("<option value='" + n + "'>" + n + "</option>").appendTo('#testInput1');
	});
	$('#testInput1').comboSelect();

//获取客户信息
$.getJSON(huayi.config.callcenter_url + 'Customer/GetCustomerByTel', {
	"tel": Number,
	"token": $.cookie("token")
}, function(result) {
	if(result.state.toLowerCase() == "success" && result.data != null) {
		KHid = result.data.F_CustomerId;
		$("#khid").val(result.data.F_CustomerId);
		$('.ldname').val(result.data.F_CustomerName); //客户姓名
//		$("#testInput1_input").val(result.data.F_Province); //省份
		console.log(result.data.F_Province);
		if(result.data.F_Province){
				$("#testInput1_input").val(result.data.F_Province); //省份
		}else{
			$("#testInput1_input").val('');
		}
		if(result.data.F_CustomerIndustry){
				$("#testInput2_input").val(result.data.F_CustomerIndustry); //来电单位
		}else{
			$("#testInput2_input").val('');
		}
		//客服部显示
		$("#callCustomer").val(result.data.F_CustomerName); //客户姓名
		
		$("#lddep").val(result.data.F_CustomerIndustry); //来电单位
		$("#fkdep").val(result.data.fkdep)
		//市场部显示
		$("#marketName").val(result.data.F_CustomerName);
		
		$("#lddepr").val(result.data.F_CustomerIndustry);
		$("#fkdep").val(result.data.fkdep)
	}else{
		$("#testInput2_input").val('');
	}
})

var timestamp = Date.parse(new Date());
$('.head-pic .lahei .la-before').show();
$('.head-pic .lahei .la-after').hide();

function clearInter() {
	clearInterval(timer);
}
//通话中执行变化
var timer, n = 0;

function calling() {
	$(".td-call").show();
	n = 0;
	clearInterval(timer);
	timer = setInterval(function() {
		n++;
		var m = parseInt(n / 60 % 60);
		var s = parseInt(n % 60);
		$(".thsc").text(toDub(m) + ":" + toDub(s));
	}, 1000);

}

function toDub(i) {
	return i < 10 ? "0" + i : "" + i;
}
//点击挂断
$('.head-pic .td-call .take').click(function() {
	//      top.obj.Type = "DropCall";
	top.obj.Type = "TurnIvr";
	//      top.obj.AgentID = $.cookie("zx_user");
	//      top.obj.AgentExten = $.cookie("extno");
	top.obj.IvrName = "MYD";
	top.obj.IvrPos = "1";
	top.Send();
});
//点击拉黑事件				
$('.head-pic .lahei .la-before').click(function() {
	if(!$(".hidTel").val()) {
		layer.confirm('来电号码为空！', {
			btn: ['确定']
		});
		return;
	}
	$("#time-word").val('');
	$('.ldtp-con .hei-list').show();

})
//拉黑输入框事件
$('.hei-list .bacha').click(function() {
	$('.ldtp-con .hei-list').hide();
	$("#time-word").val('');
})
var reg = /^\+?[1-9][0-9]*$/;

$('#bc').click(function() {
	var n = $("#time-word").val();
	var val = $("input[name='time']:checked").val();
	if(n) {
		if(!(reg.test(n))) {
			layer.confirm('请输入整数时间！', {
				btn: ['确定']
			});
			return;
		}
	} else {
		if(val == '4') {
			n = 0;
		} else {
			layer.confirm('请输入整数时间！', {
				btn: ['确定']
			});
			return;
		}
	}
	$.post(huayi.config.callcenter_url + 'CallInScreen/AddBlack', {
		tel: $(".hidTel").val(),
		num: n,
		type: val,
		"token": $.cookie("token")
	}, function(result) {
		result = $.parseJSON(result);
		if(result.state.toLowerCase() == "success") {

			layer.msg("拉入黑名单成功");

			$('.la-shichang .blackTime').html(result.data);
			//$('.ldtp-con .hei-list').removeClass('bounceIn');
			//$('.ldtp-con .hei-list').addClass('bounceOutUp');
			$('.ldtp-con .hei-list').hide();
			$('.head-pic .lahei .la-before').hide();
			$('.head-pic .lahei .la-after').show();
			$('.head-pic .lahei .retur').show();
		}
	})
})

$('.la-after').click(function() {
	if(!$(".hidTel").val()) {
		layer.confirm('来电号码为空！', {
			btn: ['确定']
		});
		return;
	}

	$("#time-word").val('');
	$('.ldtp-con .hei-list').show();
	$('.ldtp-con .hei-list').removeClass('bounceOutUp');
	$('.ldtp-con .hei-list').addClass('bounceIn');
})

$('.head-pic .lahei .retur').click(function() {
	$.getJSON(huayi.config.callcenter_url + 'CallInScreen/DelBlack', {
		tel: $(".hidTel").val(),
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			layer.msg("取消黑名单成功");
			$('.head-pic .lahei .retur').hide();
			$('.head-pic .lahei .la-after').hide();
			$('.head-pic .lahei .la-before').show();
		}
	})
})

$(".col-sm-3").mouseleave(function() {
	$(".ztree").parent().hide();
})

//市场部创建工单
$(".addts").click(function() {
	var marketName = $("#marketName").val();
	var marketTel = $("#marketTel").val();
	var lddep_market = $("#lddep").val();
	var fkdep_market = $("#testInput_markfkdep_input").val();
	var fkcont_market = helper.HtmlUtil.htmlEncodeByRegExp(changeEditorMarket.html());
	var callid = $(".hidCallID").val();
	if(!marketName) {
		layer.confirm('请输入姓名！', {
			btn: ['确定']
		});
		return;
	}
	if(!marketTel) {
		layer.confirm('请输入电话！', {
			btn: ['确定']
		});
		return;
	}
	if(!lddep_market) {
		layer.confirm('请选择来电单位！', {
			btn: ['确定']
		});
		return;
	}
	if($('#DicValueList_market').val()=='') {
		layer.confirm('请选择工单来源！', {
			btn: ['确定']
		});
		return;
	}
	if($('#OPID_market').val()=='') {
		layer.confirm('请选择工单类型！', {
			btn: ['确定']
		});
		return;
	}

	$.ajax({
		type: "post",
		url: huayi.config.callcenter_url + "CallInScreen/AddWorkOrder",
		dataType: 'json',
		async: true,
		beforeSend: function() { //触发ajax请求开始时执行
			$('.addts').attr("disabled", true);
			$('.addts').text('创建中...');
		},
		data: {
			callCustomer: marketName,
			tel: marketTel,
			lddep: lddep_market,
			fkdep: fkdep_market,
			fkcont: fkcont_market,
			gdly:$('#DicValueList_market').val(),
			gdlx: $('#OPID_market').val(),
			province: $("#testInput1_input").val(),
			"token": $.cookie("token")
		},
		success: function(result) {
			if(result.state.toLowerCase() == "success") {
				loadOld();
				$("#marketName").val('');
				$("#marketTel").val('');
				$("#lddep_market").val('');
				$("#testInput_markfkdep_input").val('');
				$("#fkcont_market").val('');
				layer.msg("创建工单成功");
				$('.addts').attr("disabled", false);
				$('.addts').text('创建');
			}
		}
	});
})
KindEditor.ready(function(K) {
	window.changeEditor = K.create('#fkcont'); //修改弹出框编辑器
})
KindEditor.ready(function(K) {
	window.changeEditorMarket = K.create('#fkcont_market'); //修改弹出框编辑器
})
//客服组增加工单
$(".add_").click(function() {
	//联系人
	var callCustomer = $("#callCustomer").val();
	//来电号码 
	var tel = $("#Tel").val();
	//来电单位
	var lddep = $('#lddep').val();
	//反馈单位 
	var fkdep = $("#testInput_cusfkdep_input").val();
	///工单来源id 
	var gdly = $("#DicValueList").val();
	//工单类型id  
	var gdlx = $("#OPID").val();
	//工单状态id
	var gdzt = $("#State").val();
	var type = "1";
	if(!callCustomer) {
		layer.confirm('请输入姓名！', {
			btn: ['确定']
		});
		return;
	}
	if(!tel) {
		layer.confirm('请输入电话！', {
			btn: ['确定']
		});
		return;
	}
	if(!lddep) {
		layer.confirm('请选择来电单位！', {
			btn: ['确定']
		});
		return;
	}
	if(!fkdep) {
		layer.confirm('请选择反馈单位！', {
			btn: ['确定']
		});
		return;
	}
	if(!gdly) {
		layer.confirm('请选择工单来源！', {
			btn: ['确定']
		});
		return;
	}
	if(!gdlx) {
		layer.confirm('请选择工单类型！', {
			btn: ['确定']
		});
		return;

	}
	if(!gdzt) {
		layer.confirm('请选择工单状态！', {
			btn: ['确定']
		});
		return;
	}
	$.ajax({
		type: "post",
		url: huayi.config.callcenter_url + "CallInScreen/AddWorkOrder",
		dataType: 'json',
		async: true,
		beforeSend: function() { //触发ajax请求开始时执行
			$('.add_').attr("disabled", true);
			$('.add_').text('创建中...');
		},
		data: {
			callCustomer: callCustomer,
			tel: tel,
			lddep: lddep,
			fkdep: fkdep,
			gdly: gdly,
			gdlx: gdlx,
			gdzt: gdzt,
			fkcont:helper.HtmlUtil.htmlEncodeByRegExp(changeEditor.html()),//反馈内容
			sendmsg: $('#sendmsg').val(),//快递信息
			note1: $("#note1").val(),//备注一 
			note2: $("#note2").val(),//备注二
			note3: $("#note3").val(),//备注三
			callid:  $(".hidCallID").val(),//callid
			province: $("#testInput1_input").val(),
			"token": $.cookie("token")
			
		},
		success: function(result) {
			if(result.state.toLowerCase() == "success") {
				loadOld();
				$("#callCustomer").val('');
				//来电号码 
				$("#Tel").val('');
				//来电单位
				$('#lddep').val('');
				//反馈单位 
				$("#testInput_cusfkdep_input").val('');
				///工单来源id 
				$("#DicValueList").val('');
				//工单类型id  
				$("#OPID").val('');
				//工单状态id
				$("#State").val('');
				//反馈内容 
				$("#fkcont").val('');
				//快递信息
				$('#sendmsg').val('');
				//备注一 
				$("#note1").val('');
				//备注二 
				$("#note2").val('');
				//备注三
				$("#note3").val('');
				layer.msg("创建工单成功");
				$('.add_').attr("disabled", false);
				$('.add_').text('创建');
			}
		}
	});
})

//客户资料
$('.khzl tbody>tr>td input').attr('readonly', true);
$('.save').hide();
$('.cancel').hide();
$('.edit').click(function() {
	$('.save').show();
	$('.cancel').show();
	$('.edit').hide();
	$('.khzl tbody>tr>td input').attr('readonly', false);
	$('.khzl tbody>tr>td input').css('border-bottom', "1px solid #b3b3b3");
//	$(".testInput2").show();
//	$(".testInput1").css('display', "block");
	$(".ldpamter").hide();
	$(".ldlocation").hide();
})
$('.cancel').click(function() {
	$('.khzl tbody>tr>td input').attr('readonly', true);
	$('.khzl tbody>tr>td input').css('border', "0");
	$('.save').hide();
	$('.cancel').hide();
	$('.edit').show();
//	$('.testInput2').attr('display', 'none');
//	$(".testInput1").hide();
	$(".ldpamter").show();
	$(".ldlocation").show();
})
//保存客户
$(".save").click(function() {
	var reg = /^((13[0-9])|(14[5|7])|(15([0-3]|[5-9]))|(18[0,5-9]))\d{8}$|^0\d{2,3}-?\d{7,8}$/;
	//var khid = $("#khid").val();
	KHid = $("#khid").val();
	var khmc = $(".khmc").val();
	var tel1 = $(".ldtel1").val();
	var testInput2 = $("#testInput2_input").val();
	var ldlocation = $("#testInput1_input").val();
	if(!khmc) {
		layer.confirm('请输入客户名称！', {
			btn: ['确定']
		});
		return;
	} else if(!ldlocation) {
		layer.confirm('请输入省份！', {
			btn: ['确定']
		});
		return;
	}
	$.post(huayi.config.callcenter_url + 'Customer/AddCustomer', {
		id: $(".hidCallID").val(),
		cid: KHid,
		name: khmc,
		province: ldlocation, //省份
		customerindustry: testInput2, //来电单位
		mobile: tel1,
		"token": $.cookie("token")
	}, function(result) {
		result = $.parseJSON(result);
		if(result.state.toLowerCase() == "success") {
			$("#khid").val(result.data);
			$("#tskh").val(khmc);
			layer.msg("保存成功");
			$('.khzl tbody>tr>td input').css('border', "0");
			$('.edit').show();
			$('.save').hide();
			$('.cancel').hide();
			$('.save').hide();
			$('.cancel').hide();
			$('.edit').show();
			$("#marketName").val(khmc);
			$("#marketTel").val(tel1);
			$("#lddepr").val(testInput2);
			$("#callCustomer").val(khmc); //客户姓名
			$("#Tel").val(tel1); //联系电话
			$("#lddep").val(testInput2); //来电单位
		}
	})
})
//知识库查询
$(".searIcon").click(function() {
	loadZSK();
})
//历史记录查询
$(".searchbtn").click(function() {
	loadOld();
})
//新增记录
$(".addjl").click(function() {
	var type = $(".ldtp-cr ul.ld-service .cr-click").attr("itemtype");
	if(type == '3') {
		$(".addgd").show();
		$(".tbold").hide();
		//		Select($("#testInput_"));
	} else if(type == '1') {
		$(".zxbg").show();
		$(".tbold").hide();
	}
})

//获取知识库
loadZSK();
//获取知识库
function loadZSK() {
	$.getJSON(huayi.config.callcenter_url + 'CallInScreen/GetZSKList', {
		"keywords": $(".search").val(),
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$(".ldcr-bottom .detail-con ul").empty();
			$(result.data).each(function(i, n) {
				var html = '<li>' +
					'   <div class="zhishi-title clearfix">' +
					'	    <a href="javascript:void(0);" >' + n.F_Title + '</a>' +
					'	    <em >' + n.F_CreateOn + '</em>' +
					'   </div>' +
					'   <div class="explancon">' +
					n.F_Content +
					'   </div>' +
					'</li>';
				$(html).appendTo($(".ldcr-bottom .detail-con ul")).find(".zhishi-title").click(function(event) {
					event.stopPropagation();
					if($(this).hasClass("active")) {
						$(this).removeClass("active")
					} else {
						$(".zhishi-title").removeClass("active");
						$(this).addClass("active");
					}
				})
			})
		}
	})
}

$('input:radio[name="banli"]').change(function() {
	if($(this).val() == '1') {
		$(".Nows_box").show();
	} else {
		$(".Nows_box").hide();
	}
})

//获取历史记录
loadOld()
//获取历史记录
function loadOld() {
	$(".addgd").hide();
	$(".tbold").show();
	$(".zxbg").hide();
	var type = $(".ldtp-cr ul.ld-service .cr-click").attr("itemtype");
	if(type != '0') {
		$(".complain").hide();
		$(".complain").eq(1).show();
		//先销毁表格
		$('#orderlist').bootstrapTable('destroy');
		//初始化表格,动态从服务器加载数据
		$("#orderlist").bootstrapTable({
			method: "get", //使用get请求到服务器获取数据
			url: huayi.config.callcenter_url + "WorkOrder/GetList", //获取数据的Servlet地址
			contentType: 'application/x-www-form-urlencoded',
			striped: true, //表格显示条纹
			pagination: true, //启动分页
			pageSize: 5, //每页显示的记录数
			pageNumber: 1, //当前第几页
			pageList: [5, 10, 50, 100], //记录数可选列表
			search: false, //是否启用查询
			showColumns: false, //显示下拉框勾选要显示的列
			showRefresh: false, //显示刷新按钮
			sidePagination: "server", //表示服务端请求
			//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
			//设置为limit可以获取limit, offset, search, sort, order
			queryParamsType: "undefined",
			queryParams: function queryParams(params) { //设置查询参数
				var param = {
					page: params.pageNumber,
					pagesize: params.pageSize,
					tel: $(".hidTel").val(),
					starttime: $("#con_startTime").val(),
					endtime: $("#con_endTime").val(),
					token: $.cookie("token"),
					isldtp: 1,
					fkdep: $("#fkdep").val()

				};
				return param;
			},
			onLoadSuccess: function() { //加载成功时执行
				//layer.msg("加载成功");
			},
			onLoadError: function() { //加载失败时执行
				//layer.msg("加载数据失败", { time: 1500, icon: 2 });
			}
		});
	} else if(type = '0') {
		$(".complain").hide();
		$(".complain").eq(0).show();
		//先销毁表格
		$('#oldlist').bootstrapTable('destroy');
		//初始化表格,动态从服务器加载数据
		$("#oldlist").bootstrapTable({
			method: "get", //使用get请求到服务器获取数据
			url: huayi.config.callcenter_url + "CallInScreen/GetOldList", //获取数据的Servlet地址
			contentType: 'application/x-www-form-urlencoded',
			striped: true, //表格显示条纹
			pagination: true, //启动分页
			pageSize: 5, //每页显示的记录数
			pageNumber: 1, //当前第几页
			pageList: [5, 10, 50, 100], //记录数可选列表
			search: false, //是否启用查询
			showColumns: false, //显示下拉框勾选要显示的列
			showRefresh: false, //显示刷新按钮
			sidePagination: "server", //表示服务端请求
			//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
			//设置为limit可以获取limit, offset, search, sort, order
			queryParamsType: "undefined",
			queryParams: function queryParams(params) { //设置查询参数
				var param = {
					page: params.pageNumber,
					pagesize: params.pageSize,
					tel: $(".hidTel").val(),
					starttime: $("#old_startTime").val(),
					endtime: $("#old_endTime").val(),
					token: $.cookie("token")

				};
				return param;
			},
			onLoadSuccess: function() { //加载成功时执行
				//layer.msg("加载成功");
			},
			onLoadError: function() { //加载失败时执行
				//layer.msg("加载数据失败", { time: 1500, icon: 2 });
			}
		});
	} else {
		//          	 $(".complain").hide();
		//              $(".complain").eq(1).show();
		//先销毁表格
		$('#SCorderlist').bootstrapTable('destroy');
		//初始化表格,动态从服务器加载数据
		$("#SCorderlist").bootstrapTable({
			method: "get", //使用get请求到服务器获取数据
			url: huayi.config.callcenter_url + "CallInScreen/GetOldList", //获取数据的Servlet地址
			contentType: 'application/x-www-form-urlencoded',
			striped: true, //表格显示条纹
			pagination: true, //启动分页
			pageSize: 5, //每页显示的记录数
			pageNumber: 1, //当前第几页
			pageList: [5, 10, 50, 100], //记录数可选列表
			search: false, //是否启用查询
			showColumns: false, //显示下拉框勾选要显示的列
			showRefresh: false, //显示刷新按钮
			sidePagination: "server", //表示服务端请求
			//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
			//设置为limit可以获取limit, offset, search, sort, order
			queryParamsType: "undefined",
			queryParams: function queryParams(params) { //设置查询参数
				var param = {
					page: params.pageNumber,
					pagesize: params.pageSize,
					tel: $(".hidTel").val(),
					starttime: $("#con_startTime").val(),
					endtime: $("#con_endTime").val(),
					token: $.cookie("token"),
					//                           isldtp:1,
					fkdep: $("#fkdep").val()

				};
				return param;
			},
			onLoadSuccess: function() { //加载成功时执行
				//layer.msg("加载成功");
			},
			onLoadError: function() { //加载失败时执行
				//layer.msg("加载数据失败", { time: 1500, icon: 2 });
			}
		});
	}
	if(type == '3') {
		getLX($("#tslx"), "TSLX");
		getBM($("#zrbmtree"));
		getBM($("#clbmtree"));
	}
}

//格式化历史记录内处理方式
function formatterDealType(val, row) {
	//处理方式0:IVR处理1骚扰电话2自助服务3转值班电话4留言5呼损6人工处理
	var str = '-';
	switch(val) {
		case 0:
			str = 'IVR处理';
			break;
		case 1:
			str = '骚扰电话';
			break;
		case 2:
			str = '自助服务';
			break;
		case 3:
			str = '转值班电话';
			break;
		case 4:
			str = '留言';
			break;
		case 5:
			str = '呼损';
			break;
		case 6:
			str = '人工处理';
			break;
	}
	return str;
}

function Detail(val) {
	if(val) {
			var str = '<div style="color:#e43926;" '
			str = str + '  title="' + val + '" ';
		if(val.length > 10){
		 str =str + '>' + val.substring(0, 10) + '...</div>';
		}
		else{
			str = str + '>' + val + '</div>';
		}
		return str
	}
	
	
}




function GetCallState(val) {
	if(val == '1') {
		return '已接通';
	} else {
		return '未接通';
	}
}

//音频
function setCode(val) {
	if(val) {
		return '<div class="imgs" style="cursor: pointer;">' +
			'<img src="../img/vice.png" alt="" onclick= ck(this) item="' + val + '" />' +
			'</div>';
	} else {
		return '';
	}
}
//录音
function ck(val) {
	var path = $(val).attr("item");
	$(".t-shade").addClass("cx");
	$(".Ly_box").empty();
	$(".down").attr("href", path);
	$('<audio style="width: 100%;"class=" " src="' + path + '" loop="loop" controls="controls" ></audio>').appendTo(".Ly_box");
}

function GetDealState(val) {
	if(val == '1') {
		return '已处理';
	} else {
		return '未处理';
	}
}

function GetStateName(val) {
	var str = '';
	switch(val + '') {
		case '0':
			str = "待处理";
			break;
		case '1':
			str = "已处理";
			break;
	}
	return str;
}
//截取字符串
function GetCont(val) {
	var str = '<div '
	if(val.length > 20) {
		str = str + ' title="' + val + '" ';
		val = val.substr(0, 20) + "...";
	}
	return str + '>' + val + '</div>';
}

//获取类型
function getLX(obj, type) {
	obj.empty();
	$.getJSON(huayi.config.callcenter_url + 'Dictionary/GetDicValueListByFlag', {
		"flag": type,
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$(result.data).each(function(i, n) {
				obj.append('<option value="' + n.F_DictionaryValueId + '">' + n.F_Name + '</option>');
			})
		}
	})
}
//获取部门
var setting = {
	data: {
		key: {
			name: "F_DeptName"
		},
		simpleData: {
			enable: true,
			idKey: "F_DeptId",
			pIdKey: "F_ParentId",
			rootPId: 0
		}
	},
	callback: {
		onClick: zTreeOnClick
	}
};

function getBM(obj) {
	$.getJSON(huayi.config.callcenter_url + 'Department/GetAllList', {
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$.fn.zTree.init(obj, setting, result.data);
		}
	})
}

function zTreeOnClick(event, treeId, treeNode) {
	var obj = $("#" + event.data.treeId).parent();
	obj.parent().find("input").eq(0).val(treeNode.F_DeptName);
	obj.parent().find("input").eq(1).val(treeNode.F_DeptId);
	obj.hide();
	if(event.data.treeId == "zrbmtree") {
		getRY($("#zrid"), $("#zrbm").val());
	}
	if(event.data.treeId == "clbmtree") {
		getRY($("#clid"), $("#clbm").val());
	}
};
//获取人员
function getRY(obj, deptid) {
	obj.empty();
	obj.append('<option value="">--请选择--</option>');
	$.getJSON(huayi.config.callcenter_url + 'UserAccount/GetDeptUserList', {
		"deptid": deptid,
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$(result.data).each(function(i, n) {
				obj.append('<option value="' + n.F_UserId + '">' + n.F_UserName + '</option>');
			})
		}
	})
}
//反馈单位 and来电单位
//getAccount('#fkdep');

//	getAccount('#fkdep_market');//反馈单位
//getAccount('#lddep_market'); //来电单位
function getAccount(obj) {
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url + "Customer/BindLDdep",
		dataType: 'json',
		async: true,
		data: {
			token: $.cookie("token")
		},
		success: function(data) {
			var Count = data.data.dep;
			$(Count).each(function(i, n) {
				$("<option value='" + n + "'>" + n + "</option>").appendTo($(obj));
			})
			//					$(obj).selectpicker('refresh');
		}
	});

}
//工单来源
$.ajax({
	url: huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag",
	type: 'get',
	async: true,
	data: {
		//              	tel: '123456789',
		flag: 'GDLY',
		token: $.cookie("token")
	},
	dataType: "json",
	success: function(res) {
		if(res.state == "success") {
			console.log(res.data);
			$('<option value="">全部</option>').appendTo($("#DicValueList"));
			$(res.data).each(function(i, n) {
				if(n.F_DictionaryValueId == "468") {
					$('<option value="' + n.F_DictionaryValueId + '" selected="selected">' + n.F_Name + '</option>').appendTo($("#DicValueList"));
					$('<option value="' + n.F_DictionaryValueId + '" selected="selected">' + n.F_Name + '</option>').appendTo($("#DicValueList_market"));
				} else {
					$('<option value="' + n.F_DictionaryValueId + '">' + n.F_Name + '</option>').appendTo($("#DicValueList"));
					$('<option value="' + n.F_DictionaryValueId + '">' + n.F_Name + '</option>').appendTo($("#DicValueList_market"));
				}

			})
		}

	}
});
$("#citySel").click(function() {
	if($(".menuContent").is(":hidden")) {
		$(".menuContent").show();
	} else {
		$(".menuContent").hide();
	}
})
$("#citySel_market").click(function() {
	if($(".menuContent_market").is(":hidden")) {
		$(".menuContent_market").show();
	} else {
		$(".menuContent_market").hide();
	}
})
//工单类型
//部门
tree()
function tree() {
	$.get(huayi.config.callcenter_url + "WorkType/GetTreeList", {
		"token": $.cookie("token"),
		//			"pid": pid
	}, function(result) {
		result = $.parseJSON(result);
		$.fn.zTree.init($("#treeDemo"), setting2, result.data); //实例化树形图
		$.fn.zTree.init($("#treeDemo_market"), setting2, result.data); //实例化树形图
	});
}
var setting2 = {
	data: {
		key: {
			name: "text"
		},
		simpleData: {
			enable: true,
			idKey: "id",
			rootPId: 0
		}
	},
	callback: {
		onClick: addTreeClick
	}
}

function addTreeClick(event, treeId, treeNode) {
	IDs = treeNode.id;
	Names = treeNode.text;
	$('#citySel').val(Names);
	$('#citySel_market').val(Names);
	$("#OPID").val(IDs);
	$("#OPID_market").val(IDs);
	$('.menuContent_market').hide()

};
//状态
$.ajax({
	url: huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag",
	type: 'get',
	async: true,
	data: {
		flag: 'GDZT',
		token: $.cookie("token")
	},
	dataType: "json",
	success: function(res) {
		if(res.state == "success") {
			console.log(res.data);
			$('<option value="">全部</option>').appendTo($("#State"));
			$(res.data).each(function(i, n) {
				if(n.F_DictionaryValueId == '472') {
					$('<option value="' + n.F_DictionaryValueId + '" selected="selected">' + n.F_Name + '</option>').appendTo($("#State"));
				} else {
					$('<option value="' + n.F_DictionaryValueId + '">' + n.F_Name + '</option>').appendTo($("#State"));
				}
			})
			//              		
		}

	}
});

//查看详情
function ckxq(str) {
	layer.open({
		type: 2,
		content: "CommonHtml/WorkDatil.html?wid=" + str, //iframe的url，no代表不显示滚动条
		title: '工单详情',
		area: ['85%', '80%'], //宽高
	});
}

//清空
function Clean() {
	//左侧
	//debugger;
	$('.ldname').val(''); //投诉人
	$('#khid').val('');
	$('.tsdh').val(''); //投诉电话
	$('.ldlocation').text('未知'); //归属地
	$('.lxr').val(''); //联系人
	$('.lxdh').val(''); //联系电话
	$('.postcode').val(''); //邮编
	$('.email').val(''); //email
	$('.ldtime').val(''); //来电时间
	//右侧
	$("#cusname").val(''); //=投诉人姓名
	$("#cussex").val('');
	$("#cusphone").val(''); //=投诉人电话
	$("#email").val('');
	$("#zipcode").val('');
	$("#conphone").val('');
	$("#title").val('');
	$("#content").val('');
	$("#sourcearea").val(); //=事发地域id
	$('#sourceaddress').val(''); //=事发详细地址
	$("input[name='baomi'][value='1']").prop("checked", true); //=（0转办1直办）
	$("#type option:first").prop("selected", 'selected');
	$("#level option:first").prop("selected", 'selected');
	$("#keys option:first").prop("selected", 'selected');
	$("#sourcearea option:first").prop("selected", 'selected');
	$('#result').val('');

}
//Select($("#testInput_"));
$('#testInput_cusfkdep').comboSelect();
$('#testInput_markfkdep').comboSelect();
$('#testInput2').comboSelect();
$('#testInput1').comboSelect();
newBindLDdep($('#testInput_cusfkdep'), $('#testInput_markfkdep'), $('#testInput2'))
//Select($("#testInput1_"));
//Select($("#testInput2"));
//getProvice($("#testInput1"));

function Select(obj) {
	obj.click(function(event) {
		event.preventDefault();
	});
	obj.focus(function() { //
		//失去焦点后触发的事件
		obj.parent().find('.testInput-list').show();
		BindLDdep();
	});
	//			obj.blur(function() { //
	//				$('.testInput-list').hide();
	//			});
	obj.bind("input propertychange", function() {
		var value = $(this).val();
		obj.parent().find('.testInput-list').show();
		BindLDdep(value)
	});

	//请求单位
	function BindLDdep(str) {
		$('.testInput-list').empty();
		$.ajax({
			type: "get",
			url: huayi.config.callcenter_url + "Customer/BindLDdep",
			dataType: 'json',
			async: true,
			data: {
				keypara: str,
				token: $.cookie("token")
			},
			success: function(data) {
				var Count = data.data.dep;
				console.log(Count);
				var html = '';
				$(Count).each(function(i, n) {
					html = '<li value="' + n + '">' + n + '</li>';
					$(html).appendTo($('.testInput-list'))
				});
				$('.testInput-list>li').click(function() {
					obj.val($(this).html());
					console.log($(this).html());
					$('.testInput-list').hide();
				})
			}
		});
	};
	//
}

function Selects(objs) {
//	obj.click(function(event) {
//		event.preventDefault();
//	});
//	obj.focus(function() { //
//		//失去焦点后触发的事件
//		obj.parent().find('.testInput-list').show();
//		BindLDdep();
//	});
//	
	//			obj.blur(function() { //
	//				$('.testInput-list').hide();
	//			});
//	obj.bind("input propertychange", function() {
//		var value = $(this).val();
//		BindLDdep(value);
//		obj.parent().find('.testInput-list').show();
//		if(value) {
//			var len = City_.length;
//			var arr = [];
//			for(var i = 0; i < len; i++) {
//				//如果字符串中不包含目标字符会返回-1
//				if(City_[i].indexOf(value) != -1) {
//					$('.testInput-list').empty();
//					arr.push(City_[i]);
//					$(arr).each(function(i, n) {
//						html = '<li value="' + n + '">' + n + '</li>';
//						$(html).appendTo($('.testInput-list'));
//						$('.testInput-list').css('height', '200px');
//					});
//				}
//			}
//			console.log(arr);
//			$('.testInput-list>li').click(function() {
//				obj.val($(this).html());
//				console.log($(this).html());
//				$('.testInput-list').hide();
//			})
//		} else {
//			$('.testInput-list').css('height', '159px');
//
//		}
//
//	});
//
//	//请求单位
//	function BindLDdep(str) {
//		$('.testInput-list').empty();
//		var html = '';
//		$(City_).each(function(i, n) {
//			html = '<li value="' + n + '">' + n + '</li>';
//			$(html).appendTo($('.testInput-list'))
//		});
//		$('.testInput-list>li').click(function() {
//			obj.val($(this).html());
//			console.log($(this).html());
//			$('.testInput-list').hide();
//		})
//
//	};
//	
	
	var html = '';
			$(City_).each(function(i, n) {
				html = "<option value='" + n + "'>" + n + "</option>";
				$(html).appendTo(objs);
				debugger
			});
			objs.comboSelect();
	
	
	
}
$(document).ready(function() {

	//	$(document).click(function(e) {
	//		if(!$(e.target).is($('.testInput-list>li')) && !$(e.target).is($('#testInput_')) && !$(e.target).is($('#testInput1_')) && !$(e.target).is($('#testInput1')) && !$(e.target).is($('#testInput2'))) {
	//			$('.testInput-list').hide();
	//		}
	//	})
})
//弹屏右侧 新增工单 反馈单位  重写  2018-07-18  zhangshaungnan 新增
function newBindLDdep(obj1, obj2, obj3) {
	//					$('.testInput-list').empty();
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url + "Customer/BindLDdep",
		dataType: 'json',
		async: false,
		data: {
			//							keypara: str,
			token: $.cookie("token")
		},
		success: function(data) {
			var Count = data.data.dep;
			var html = '';
			$("<option value=''>请选择反馈单位</option>").appendTo(obj1)
			$("<option value=''>请选择反馈单位</option>").appendTo(obj2)
			$("<option value=''>请选择来电单位</option>").appendTo(obj3)
			$(Count).each(function(i, n) {
				html = "<option value='" + n + "'>" + n + "</option>";
				$(html).appendTo(obj1);
				$(html).appendTo(obj2);
				$(html).appendTo(obj3);
			});
			obj1.comboSelect();
			obj2.comboSelect();
			obj3.comboSelect();
		}
	});
};